# IIB

Note that this is currently being developed against the IIB v10 Open Beta package install. A significant quantity of the functionality will not work at lower levels of IBM Integration Bus or Websphere Message Broker.

A ruby gem allowing you to interact with IBM Integration Bus resources, currently using either the REST interface or the CLI.

## Installation

Add this line to your application's Gemfile:

    gem 'iib'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install iib

## Usage

To get a list of Integration Nodes on the local system:

    require 'iib/node'

    nodes = IIB::Node.get_all_local_nodes
    nodes.each do |node|
      puts node.name
    end

To create an Integration Node locally:

    node = IIB::Node.create_local_node("MY_EXAMPLE_NODE")
    puts node.name

To delete a local Integration Node:

    IIB::Node.delete_local_node("MY_EXAMPLE_NODE")

To get a local Integration Node:

    node = IIB::Node.new(name: "MY_TEST_NODE")

To get a remote Integration Node:

    node = IIB::Node.new(hostname: 'localhost', port: 4414)

To start an Integration Node:

    node.start

To stop an Integration Node:

    node.stop

To check if an Integration Node is running:

    node.is_running

## Contributing

Contributions are very welcome, and will help greatly in ensuring platform coverage and covering different versions on IBM Integration Bus and Websphere Message Broker!

1. Fork it ( https://github.com/[my-github-username]/iib/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create a new Pull Request
