################################################################################
#
# Copyright 2014
# Author Imran Shakir
#
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v1.0
# which accompanies this distribution, and is available at
# http://www.eclipse.org/legal/epl-v10.html
#
# Contributors:
# Imran Shakir - initial implementation
#
################################################################################
require 'iib/node'

RSpec.configure do |config|

  config.fail_fast = true

  config.before(:all) do

    puts "Doing test setup"

    # Create a local integration node for use (this is an expensive operation)
    node = IIB::Node.create_local_node("IIB_RUBY_TEST_NODE")
    node.start
    
  end

  config.after(:all) do

    node = IIB::Node.new(name: "IIB_RUBY_TEST_NODE")
    node.stop

    # Delete the local integration node created in setup
    IIB::Node.delete_local_node("IIB_RUBY_TEST_NODE")

  end
end

IIB.check_local_iib_environment

# Check there are zero nodes on the machine
unless IIB::Node.get_all_local_nodes.empty?
  fail RuntimeError, "Please only run the tests when there are no Integration Nodes defined in the local environment"
end